import org.apache.poi.hssf.usermodel.HSSFCellStyle;
import org.apache.poi.hssf.usermodel.HSSFDataFormat;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.apache.poi.ss.usermodel.*;
import org.apache.poi.xssf.streaming.SXSSFWorkbook;

import java.io.FileOutputStream;
import java.util.Date;

public class ExcelTest {



    public static void main(String[] args) {
        try {
//			String originalFilePath = SAVE_FOLDER + "/" + condition.getTaskId() + ".xlsx";
            SXSSFWorkbook wb = new SXSSFWorkbook(100); // 内存中保留 100 行
            Sheet sheet = wb.createSheet();

            CellStyle cellStyle = wb.createCellStyle();
            DataFormat format = wb.createDataFormat();
            cellStyle.setDataFormat(format.getFormat("yyyy-MM-dd HH:mm:ss"));

//            CellStyle cellStyle = wb.createCellStyle();
//            DataFormat format = wb.createDataFormat();
//            cellStyle.setDataFormat(format.getFormat("yyyy-MM-dd HH:mm:ss"));

            int n=0;
            do {
                Row row = sheet.createRow(n);
                {
                    Cell midCell = row.createCell(0);
                    midCell.setCellStyle(cellStyle);
                    midCell.setCellValue(new Date());
                }
                {
                    Cell midCell = row.createCell(1);
//                    midCell.setCellStyle(cellStyle);
                    midCell.setCellValue(Math.random());
                }
            }while (n++<10);
            FileOutputStream fileOut = new FileOutputStream("d://test.xlsx");
            wb.write(fileOut);
            //fileOut.flush(); // SXSSFWorkbook 使用 auto-flush 模式
            fileOut.close();
            //wb.close();
            wb.dispose(); // SXSSFWorkbook 没有 close 方法
        }catch (Exception e) {
            e.printStackTrace();
        }
    }
}
